Subject: Re: OSPFv3 Point-to-Point interface

From: Acee Lindem <[email-masked]>
Date: Tue, 1 Jul 2003 15:52:47 -0400

Taisuke Sasaki wrote:
> I have a question about how to advertise its own
> point-to-point interface address in its Intra-Area-Prefix-LSAs.
>
> Suppose that a Router A has a point-to-point link
> and IPv6 address 3ffe:1::1/64 is assigned.
>
>         point-to-point
>   +---+  3ffe:1::/64  +---+
>   | A +---------------+ B |
>   +---+ ::1       ::2 +---+
>
> I saw some OSPFv3 implementations that Router A advertised
> its p2p interface address in an Intra-Area-Prefix-LSA as follows:
>
>      PrefixLength = 128
>      PrefixOptions = LA-bit
>      Metric = 0
>      Address Prefix = 3ffe:1::1
>
> It's no problem from the viewpoint of Routing,
> but is this implementation fully compliant with rfc2740 3.4.3.7?
>
> My opinion is the next:
> If IPv6 address 3ffe:1::1/128 is assigned to Router A's p2p
> interface, it is OK.
> But in this case, IPv6 prefix(/64) is assigned to its p2p
> interface, so Router A should advertise its interface prefix
> as follows:
>
>      PrefixLength = 64
>      PrefixOptions = 0
>      Metric = 1 ;interface output cost
>      Address Prefix = 3ffe:1::

Hi Taisuke Sasaki,

I would agree with you the prefix should be advertised with the
assigned length and cost. Actually, there is very ambiguous
statement in RFC 2740:

       If the interface type is Point-to-MultiPoint,
       or the interface is in state Loopback, or the interface connects
       to a point-to-point link which has not been assigned a prefix,
            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       then the site-local and global scope IPv6 addresses associated
                ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
       with the interface (if any) are copied into the intra-area-
       prefix-LSA, setting the LA-bit in the PrefixOptions field, and
       setting the PrefixLength to 128 and the Metric to 0.

It seems to be a contraction to reference site-local and global scope IPv6
addresses associated with a P2P link that doesn't have any prefixes
assigned. Any other interpretations?

Thanks,
Acee
> regards.
> ---
> taisuke sasaki

--
Acee